package com.education.business.service.education.ai.question;

import com.education.workflow.AbstractWorkFlowRunner;
import com.education.workflow.iface.IContextCollector;
import com.education.workflow.iface.IStructParser;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class QuestionWorkFlowRunner extends AbstractWorkFlowRunner {

    private  String prompt ;

    @Resource
    private  QuestionContextCollector contextCollector;

    @Resource
    private QuestionStructParser structParser;

    @Override
    public IContextCollector getCollector() {
        return this.contextCollector;
    }

    @Override
    public IStructParser getStructParser() {
        return this.structParser;
    }

    @Override
    public String getPrompt() {
        return this.prompt;
    }

    public void setPrompt(final String prompt) {
        this.prompt = prompt;
    }
}
